aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/yosys
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2015-06-08 09:31:56 +0200
committerClifford Wolf <clifford@clifford.at>2015-06-08 09:31:56 +0200
commit072e5ca2c5f826fa263d31b808774e18bc02abd0 (patch)
treec1b8abb7e51a19775939471365614fd731686a6f /scripts/yosys
parenta9532f81edc0211e404f5c0cf4348bd55b6d9674 (diff)
downloadpicorv32-072e5ca2c5f826fa263d31b808774e18bc02abd0.tar.gz
picorv32-072e5ca2c5f826fa263d31b808774e18bc02abd0.zip
Added osu018 yosys synthesis script
Diffstat (limited to 'scripts/yosys')
-rw-r--r--scripts/yosys/.gitignore1
-rw-r--r--scripts/yosys/synth_osu018.sh8
2 files changed, 9 insertions, 0 deletions
diff --git a/scripts/yosys/.gitignore b/scripts/yosys/.gitignore
new file mode 100644
index 0000000..d6fc3e3
--- /dev/null
+++ b/scripts/yosys/.gitignore
@@ -0,0 +1 @@
+osu018_stdcells.lib
diff --git a/scripts/yosys/synth_osu018.sh b/scripts/yosys/synth_osu018.sh
new file mode 100644
index 0000000..7a8693d
--- /dev/null
+++ b/scripts/yosys/synth_osu018.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -ex
+if test ! -s osu018_stdcells.lib; then
+ wget --continue -O osu018_stdcells.lib.part http://vlsiarch.ecen.okstate.edu/flows/MOSIS_SCMOS/`
+ `latest/cadence/lib/tsmc018/signalstorm/osu018_stdcells.lib
+ mv osu018_stdcells.lib.part osu018_stdcells.lib
+fi
+yosys -p 'synth -top picorv32; dfflibmap -liberty osu018_stdcells.lib; abc -liberty osu018_stdcells.lib; stat' ../../picorv32.v